/*
 * ATB_B1_Display_2.c
 *
 * Created: 14.10.2014 20:21:38
 *  Author: AS
 */ 


/* ATB_B1_Display_1.c Created: 11.10.2014 16:14:43 Author: AS */

#include <stdbool.h>
#include <avr/pgmspace.h>
#include "main.h"
#include <util/delay.h>
#include "i2clcd.h"
#include "i2cmaster.h"
#include "avr/io.h"
#include "lcd.h"						// Aufruf lcd.h

static const PROGMEM unsigned char sonder1[] =		// Daten fr sonder1
{
	0x04, 0x0e, 0x1f, 0x04, 0x04, 0x04, 0x04, 0x00,		// Zeichen 1 hoch
	0x00, 0x10, 0x09, 0x05, 0x03, 0x0f, 0x00, 0x00,		// Zeichen 2 Enter
	0x00, 0x04, 0x04, 0x04, 0x04, 0x1f, 0x0e, 0x04,		// Zeichen 3 unten
	0x15, 0x0e, 0x15, 0x0e, 0x04, 0x04, 0x04, 0x0e,		// Zeichen 4 Sendeturm
	0x04, 0x0a, 0x11, 0x1f, 0x11, 0x11, 0x1f, 0x00,		// Zeichen 5 Haus
	0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x1f,		// Zeichen 6 Ecke links
	0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x1f,		// Zeichen 7 Ecke rechts
	0x0e, 0x1f, 0x0e, 0x11, 0x0e, 0x11, 0x0e, 0x00		// Zeichen 8 HDD
};

int main(void)
{
	    unsigned char i;   						// Varaible i  
	
	i2c_init();                			// Starte I2C Bus
	lcd_init();                			// Starte I2CLCD
	lcd_light(0);						// 0=Licht an, 1=Licht aus
	
	   // for (;;)
	    //{
		    lcd_command(_BV(LCD_CGRAM));  			// Daten laden
		    for(i=0; i<64; i++)						// 64 x
		    {
			    lcd_data(pgm_read_byte_near(&sonder1[i]));		// schreiben der Daten in den CG RAM
		    }
		
	//}
	// Display Befehle
	lcd_command(LCD_DISPLAYON | LCD_CURSOROFF | LCD_BLINKINGOFF);
	// Display ON/OFF / Cursor ON/OFF / Blinken ON/OFF
	
	lcd_command(LCD_CLEAR);    				// Leere Display
	_delay_ms(2);							// warte 2ms
	
	lcd_printlc(1,6,"Boxtec"); 				// Text Zeile 1
	lcd_printlc(2,2,"**************");		// Text Zeile 2
	lcd_printlc(3,2,"Display Modul 1");		// Text Zeile 3
	lcd_printlc(4,2,"(by achim S.)");		// Text Zeile 4
	_delay_ms(5000);		       			// Warte 5000ms
	
	while(1)
	{
		lcd_command(LCD_CLEAR);        		// Leere Display
		_delay_ms(1000);		      			// Warte 20ms
		
		lcd_printlc(1,1,"Die 1. Zeile");	// Text Zeile 1
		_delay_ms(2000);					// warte 2s
		
		lcd_printlc(2,2,"Die 2. Zeile");	// Text Zeile 2
		_delay_ms(2000);					// warte 2s
		
		lcd_printlc(3,3,"Die 3. Zeile");	// Text Zeile 3
		_delay_ms(2000);					// warte 2s
		
		lcd_printlc(4,4,"Die 4. Zeile");	// Text Zeile 4
		_delay_ms(5000);					// warte 5s
	}
}
